#!/bin/bash
#

echo ":D"
xcode-select --install

clear

echo "##### !!! DOWNLOADING FILES !!! #####"
mkdir /$HOME/Desktop/OC
cd /$HOME/Desktop/OC
git clone https://github.com/acidanthera/Lilu



git clone https://github.com/acidanthera/WhateverGreen
git clone https://github.com/acidanthera/IOJones
Git clone https://github.com/PMheart/LiluFriend
Git clone https://github.com/acidanthera/HibernationFixup
Git clone https://github.com/cdf/Innie
Git clone https://github.com/cdf/NightShiftEnabler
Git clone https://github.com/lvs1974/CpuTscSync
git clone https://github.com/acidanthera/DebugEnhancer



echo "##### !!! COPY LILU TO FOLDERS !!! #####"
xcodebuild -project ./Lilu/Lilu.xcodeproj -configuration Debug clean build ARCHS=x86_64 ONLY_ACTIVE_ARCH=YES CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OC/Release

cd /$HOME/Desktop/OC
cp -r ./Release/Lilu.kext ./WhateverGreen
cp -r ./Release/Lilu.kext ./IOJones
cp -r ./Release/Lilu.kext ./LiluFriend
cp -r ./Release/Lilu.kext ./HibernationFixup
cp -r ./Release/Lilu.kext ./NightShiftEnabler
cp -r ./Release/Lilu.kext ./CpuTscSync
cp -r ./Release/Lilu.kext ./DebugEnhancer


mkdir /$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OCRelease

echo "##### !!! START BUILD FILES !!! #####"
cd /$HOME/Desktop/OC/AirportBrcmFixup/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/WhateverGreen/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/IOJones/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/LiluFriend/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/IOJones/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/HibernationFixup/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/NightShiftEnabler/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/CpuTscSync/
xcodebuild CONFIGURATION_BUILD_DIR=/$HOME/Desktop/OCRelease
cd /$HOME/Desktop/OC/DebugEnhancer/


echo "##### !!! DONE !!! #####"